Bug 1264216 - "service openshift-gears start" should not be calling unidle
"service openshift-gears start" should not be calling unidle
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Timothy Williams
chaoyang
:
Depends On: 966790 1232907
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 18:11 EDT by Timothy Williams
Modified: 2015-09-30 12:38 EDT (History)
11 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-node-1.37.1.1-1.el6op openshift-origin-node-util-1.37.2.1-1.el6op
Doc Type: Bug Fix
Doc Text:
Previously, every gear on a node received an "unidle" call during a node start, which triggered an Apache reload for each gear, incurring significant overhead. This caused node start time to take longer than was necessary, and gears that started first were deprived of resources until the node settled. This bug fix ensures gears are only unidled on user start. As a result, unnecessary unidles no longer occur at node start, and node start time is reduced.
Story Points: ---
Clone Of: 1232907
Environment:
Last Closed: 2015-09-30 12:38:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Williams 2015-09-17 18:11:59 EDT
+++ This bug was initially created as a clone of Bug #1232907 +++

Description of problem:

When our nodes boot, it takes a very long time for all of the gears to start.  I just found one contributing factor to this, which is that we do an "unidle" call for every gear, which in turn calls oo-httpd-singular graceful.

In addition to making start-up take longer, this can cause many small outages for the apps that start first.

Version-Release number of selected component (if applicable):
rubygem-openshift-origin-node-1.36.1-1.el6oso.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a node with lots of gears
2. Stop the node 
3. Start the node
4. grep -c oo-httpd-singular /var/log/openshift/node/platform.log

Actual results:

oo-httpd-singular ran once for every gear on the system

Expected results:

All of these gears were simply going from stopped to started at boot time.  There were no apache reloads required.

--- Additional comment from openshift-github-bot on 2015-06-19 13:04:15 EDT ---

Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/172ceeca29822f4455c47251b15ffa50e73ec7ed
Bug 1232907 - Only unidle on start by user

* See also: https://bugzilla.redhat.com/show_bug.cgi?id=966790

--- Additional comment from Yan Du on 2015-06-24 22:29:16 EDT ---

Test on devenv_5556

Create about 50 gears on the node, and there is no apache reloads required after stop and start the node. 

[root@ip-10-156-28-2 openshift]# service ruby193-mcollective stop
Shutting down mcollective:                                 [  OK  ]
[root@ip-10-156-28-2 openshift]# service ruby193-mcollective start
Starting mcollective:                                      [  OK  ]
[root@ip-10-156-28-2 openshift]# grep -c oo-httpd-singular /var/log/openshift/node/platform.log
0

Issue have been fixed. Move bug to verified.
Comment 4 Anping Li 2015-09-18 02:47:20 EDT
The fix wasn't inclued in this puddle, we need another puddle.
Comment 6 Anping Li 2015-09-21 21:27:15 EDT
Verified and pass

There is no apache reloads during system restart.
[root@node2 ~]# grep -c oo-httpd-singular /var/log/openshift/node/platform.log
0
Comment 8 errata-xmlrpc 2015-09-30 12:38:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1844.html

Note You need to log in before you can comment on or make changes to this bug.